#!/bin/bash

if [ "x$1" == x ]; then 
    echo "Das erste Argument muss das neue Hintergrundbild sein"
    exit 1
fi

if [ ! -f $1 ]; then 
    echo "Die Datei \"$1\" existiert nicht."
    exit 1
fi

convert $1 -colorspace Gray ./roles/lmn_qgsddm/files/qgm_background.jpg
convert $1 -quality 77 ./roles/lmn_qgsddm/files/qgm_background_wallpaper.jpg
